OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TransformFeedbackInstanced

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBTransformFeedbackInstanced :: MonadIO m => m Bool
- gl_ARB_transform_feedback_instanced :: Bool
- glDrawTransformFeedbackInstanced :: MonadIO m => GLenum -> GLuint -> GLsizei -> m ()
- glDrawTransformFeedbackStreamInstanced :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> m ()

# Extension Support

glGetARBTransformFeedbackInstanced :: MonadIO m => m Bool

Is the ARB_transform_feedback_instanced extension supported?

gl_ARB_transform_feedback_instanced :: Bool

Is the ARB_transform_feedback_instanced extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTransformFeedbackInstanced` in those cases instead.

# Functions

glDrawTransformFeedbackInstanced

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `id`.
-> GLsizei | `instancecount`.
-> m () |

Manual page for OpenGL 4.x.

glDrawTransformFeedbackStreamInstanced

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `id`.
-> GLuint | `stream`.
-> GLsizei | `instancecount`.
-> m () |

Manual page for OpenGL 4.x.